Tag: gradle

Kann kein Projekt ins Android-Studio importieren

Ich versuche diese Bibliothek zu benutzen Ich habe hinzugefügt compile 'net.rdrei.android.dirchooser:library:2.0@aar' Zu dependecies Meine Top-Level-Build-Datei // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.8.+' } } allprojects { repositories { mavenCentral() } } Und es gibt mir Fehler "nicht zu […]

Android Studio: Snapshot-Abhängigkeiten Nicht richtig aktualisieren

Ich arbeite mit Android Studio 8.9 Ich habe ein build.gradle mit der folgenden Abhängigkeit definiert: compile ('my.program.commons:my-program-commons:0.0.2-SNAPSHOT@jar') Diese Abhängigkeit wird in einem privaten Sonatype-Nexus-Repository gespeichert. Wenn ich Änderungen im my.program.commons Code vorstelle, lade ich auf nexus hoch. Das Problem ist, dass, wenn ich dann versuchen, gegen die neue SNAPSHOT Android Studio zu kompilieren, wird nicht […]

Gradle erzeugt keine String mit Anführungszeichen

Ich versuche, ein benutzerdefiniertes Feld in BuildConfig mit dem Build-Datum mit dieser Funktion enthalten: def getDate() { def date = new Date() def formattedDate = date.format('yyyyMMddHHmmss') return formattedDate } Dann habe ich in defaultConfig: buildConfigField "String", "BUILD_NUMBER", getDate() Problem ist, das von Gradle erzeugte Feld ist: public static final String BUILD_NUMBER = 20141108114911; Die "Integer […]

Mehrere Dex-Dateien definieren Lcom / amazon / ags / BuildConfig bei der Verwendung von GameCircleSDK in Android Studio

Ich habe vor kurzem mein Android-Projekt von Eclipse in AndroidStudio importiert. Alles ging ziemlich gut, und ich konnte die meisten Probleme lösen, außer wenn es auf das GameCircleSDK-Bibliotheksmodul kam. Ich habe immer die folgende Fehler: UNEXPECTED TOP-LEVEL EXCEPTION: com.android.dex.DexException: Multiple dex files define Lcom/amazon/ags/BuildConfig; Wie sich herausstellt, war die com.amazon.ags.BuildConfig.class tatsächlich in zwei Gläsern enthalten: […]

Gradle bauen Fehler beim Versuch, Facebook SDK zu verwenden

Ich versuche, das Facebook SDK in einem Projekt in Android Studio zu verwenden. Ich folge Schritt 3 dieses Tutorials. Wenn ich versuche, die App auszuführen, bekomme ich eine "Gradle: Execution fehlgeschlagen für Task": FacebookApp: dexDebug '. " Fehler. Unten ist die Ausgabe, wenn der Fehler Gradle: Execution failed for task ':FacebookApp:dexDebug'. Fehler beim Ausführen des […]

2 App-Icons nach der Installation der Release-Apk, mit gradle build

Ich benutze ./gradlew assembleRelease Befehl zu generieren Release apk für die app.On Installation der App Ich bin immer 2 Icons von app.No Hinweis, was bin ich fehlt.No luch auf Google. Wenn du auf das zweite Icon klickst, zeigt es einfach Unbestimmtes. Hier ist meine build.gradle Datei: buildscript { repositories { maven { url 'http://download.crashlytics.com/maven' } […]

Wie stelle ich die gradle Version in Android Studio 1.3 ein?

Ich habe auf Android Studio auf Version 1.3 aktualisiert. In meinem Projekt muss ich gradle Version 2.2.1 und android gradle plugin Version 1.0.0 verwenden. Wie kann ich das Android-Studio so einstellen, dass es gradle Version 2.2.1 automatisch benutzt? Ich habe die Gradle Wrapper-Eigenschaften auf 2.2.1 gesetzt und in der Projekt-Stuktur zeigt es auch, dass es […]

Kann nicht installieren Repository und Sync-Projekt – nicht in der Lage, Support-Bibliotheken verwenden 25.2.0

Ich versuche, die Support-Bibliotheken der Version 25.2.0 zu verwenden, damit ich die CameraKit- Bibliothek nutzen kann. Ich habe die neuesten Build-Tools heruntergeladen: Und das Support-Repository: Meine gradle datei: apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion '25.0.2' defaultConfig { applicationId "com.sample.myapp" minSdkVersion 21 targetSdkVersion 25 versionCode 1 versionName "1.1" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release […]

Android Studio SVN 1.8 Dieser Client ist zu alt, um mit der Arbeitskopie zu arbeiten

In der Hoffnung, dass jemand damit helfen kann … Ich habe SmartSVN heruntergeladen und eine Arbeitskopie (Android-Projekt) geöffnet. Es hat mich gebeten, die Arbeitskopie auf 1.8 zu aktualisieren. Dies verursacht mir keine Probleme bei der Verwendung des svn-Clients. Allerdings musste ich meine Befehlszeile svn Client (Running OSX Yosemite) aktualisieren. Jetzt, wenn ich svn –version auf […]

Cordova / Ionic bauen Android-Gradle-Fehler: Minimale unterstützte Gradle-Version ist 2.14.1. Aktuelle Version ist 2.13

Dies ist eine Lösung für den obigen Fehler, den ich dokumentieren möchte. Ich fand andere ähnliche Beiträge, aber keiner beschrieb, wie dieser Fehler mit Cordova oder Ionic verknüpft werden kann. Wenn Sie nicht vorsichtig sind, kann es ein Missverhältnis zwischen der Version von Gradle, die Android Studio verwendet und die Version von Gradle, dass Cordova […]

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.